import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.List;
import java.util.ListIterator;

import generated.*;

import javax.xml.bind.Element;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

/*
 * Created on 2004-11-29
 */

/**
 * @author Patryk Czarnik
 */
public class LiczbyJAXBStary {
  public static void main(String[] args) {
    if(args.length < 1) {
      System.out.println("Za malo parametrow");
      return;
    }

    int result = 0;
    
    try {
      JAXBContext jc = JAXBContext.newInstance("generated");
      Unmarshaller unmarshaller = jc.createUnmarshaller();
      
      Liczby doc = (Liczby)
        unmarshaller.unmarshal(new FileInputStream(args[0]));
      
      List grupy = doc.getGrupa();
      
      ListIterator iter = grupy.listIterator();
      while(iter.hasNext()) {
        Grupa grupa = (Grupa)iter.next();
        String attVal = grupa.getWazne();
        if(attVal.equals("tak")) {
          result += processGroup(grupa);
        }
      }
    } catch (JAXBException e) {
      e.printStackTrace();
    } catch (FileNotFoundException e) {
      e.printStackTrace();
    }
    
    System.out.println("Result: "+result);
  }
  
  private static int processGroup(Grupa aGrupa) {
    int result = 0;
    
    List elems = aGrupa.getLOrS();
    
    ListIterator iter = elems.listIterator();
    while(iter.hasNext()) {
      Element elem = (Element)iter.next();
      if(elem instanceof L) {
        result += ((L)elem).getValue().intValue();
      }
    }
    return result;
  }
}
